ManagedResource (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.export.metadata

## Class ManagedResource

- java.lang.Object
- - org.springframework.jmx.export.metadata.AbstractJmxAttribute
  - - org.springframework.jmx.export.metadata.ManagedResource

-     public class ManagedResource
      extends AbstractJmxAttribute

  Metadata indicating that instances of an annotated class are to be registered with a JMX server. Only valid when used on a `Class`.
  Since:
    1.2
  Author:
    Rob Harrop
  See Also:
    `MetadataMBeanInfoAssembler`, `MetadataNamingStrategy`, `MBeanExporter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLogFile()`
    `String` | `getObjectName()` Return the JMX ObjectName of this managed resource.
    `String` | `getPersistLocation()`
    `String` | `getPersistName()`
    `int` | `getPersistPeriod()`
    `String` | `getPersistPolicy()`
    `boolean` | `isLog()`
    `void` | `setLog(boolean log)`
    `void` | `setLogFile(String logFile)`
    `void` | `setObjectName(String objectName)` Set the JMX ObjectName of this managed resource.
    `void` | `setPersistLocation(String persistLocation)`
    `void` | `setPersistName(String persistName)`
    `void` | `setPersistPeriod(int persistPeriod)`
    `void` | `setPersistPolicy(String persistPolicy)`

    - ### Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute

      `getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedResource

          public ManagedResource()

  - ### Method Detail

    - #### setObjectName

          public void setObjectName(String objectName)

      Set the JMX ObjectName of this managed resource.

    - #### getObjectName

          public String getObjectName()

      Return the JMX ObjectName of this managed resource.

    - #### setLog

          public void setLog(boolean log)

    - #### isLog

          public boolean isLog()

    - #### setLogFile

          public void setLogFile(String logFile)

    - #### getLogFile

          public String getLogFile()

    - #### setPersistPolicy

          public void setPersistPolicy(String persistPolicy)

    - #### getPersistPolicy

          public String getPersistPolicy()

    - #### setPersistPeriod

          public void setPersistPeriod(int persistPeriod)

    - #### getPersistPeriod

          public int getPersistPeriod()

    - #### setPersistName

          public void setPersistName(String persistName)

    - #### getPersistName

          public String getPersistName()

    - #### setPersistLocation

          public void setPersistLocation(String persistLocation)

    - #### getPersistLocation

          public String getPersistLocation()